class CloneKeyConfig {
  final bool ignore;
  final bool forceCurrentData;
  final bool forceNewData;
  final bool considerEmptyCollectionAsNull;
  final Object? defaultValue;
  final String? cloneFunction;

  const CloneKeyConfig({
    bool? ignore,
    bool? forceCurrentData,
    bool? forceNewData,
    bool? considerEmptyCollectionAsNull,
    this.defaultValue,
    this.cloneFunction,
  })  : ignore = ignore ?? false,
        forceCurrentData = forceCurrentData ?? false,
        forceNewData = forceNewData ?? false,
        considerEmptyCollectionAsNull = considerEmptyCollectionAsNull ?? true;
}
