class DiffKeyConfig {
  final bool ignore;
  final bool forceCurrentData;
  final bool forceNewData;
  final Object? defaultValue;
  final String? diffFunction;

  const DiffKeyConfig({
    bool? ignore,
    bool? forceCurrentData,
    bool? forceNewData,
    this.defaultValue,
    this.diffFunction,
  })  : ignore = ignore ?? false,
        forceCurrentData = forceCurrentData ?? false,
        forceNewData = forceNewData ?? false;
}
